%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-tetravex
Version:	3.38.2
Release:	%mkrel 1
Summary:	GNOME Tetravex game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Tetravex
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
Requires:	yelp

%description
A puzzle game where you have to match a grid of tiles together. The skill
level ranges from the simple two by two up to the seriously mind-bending six
by six grid.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_bindir}/gnome-tetravex
%{_datadir}/applications/org.gnome.Tetravex.desktop
%{_datadir}/dbus-1/services/org.gnome.Tetravex.service
%{_datadir}/glib-2.0/schemas/org.gnome.Tetravex.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.Tetravex.*
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Tetravex*.svg
%{_datadir}/metainfo/org.gnome.Tetravex.appdata.xml
%{_mandir}/man6/gnome-tetravex.6*
%{_datadir}/help

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%changelog
* Mon Nov 23 2020 tex - 3.38.2-1pclos2020
- new version

* Sat Oct 03 2020 tex - 3.38.1-1pclos2020
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Sun May 31 2020 tex - 3.36.3-1pclos2020
- new version

* Mon Mar 09 2020 tex - 3.36.0-1pclos2020
- new version 3.36.0
